Page MenuHomePhabricator

Fix invalid address space generation for clk_event_t
ClosedPublic

Authored by vmaksimo on Oct 29 2018, 3:34 AM.

Diff Detail

Repository
rC Clang

Event Timeline

vmaksimo created this revision.Oct 29 2018, 3:34 AM
Anastasia accepted this revision.Oct 30 2018, 5:47 AM

LGTM. Thanks! Could you please add prefix [OpenCL] in the final commit title.

This revision is now accepted and ready to land.Oct 30 2018, 5:47 AM
AlexeySotkin accepted this revision.Nov 14 2018, 1:35 AM
This revision was automatically updated to reflect the committed changes.
Anastasia added inline comments.Mar 29 2019, 4:31 AM
lib/CodeGen/CGBuiltin.cpp
3614

It doesn't seem like we are testing the cast however?

Herald added a project: Restricted Project. · View Herald TranscriptMar 29 2019, 4:31 AM
Herald added a subscriber: ebevhan. · View Herald Transcript
AlexeySotkin added inline comments.Mar 29 2019, 4:40 AM
lib/CodeGen/CGBuiltin.cpp
3614

Sorry, could you elaborate on your question/concern ?